
#define STDCALL __stdcall
#define EXPORT  __declspec(dllexport)

EXPORT double STDCALL PassDouble(); 
EXPORT double STDCALL CalcLookForStrike(double strike);

#include "LookBackOption.h"

double STDCALL PassDouble()
{
    return 5.5;
}

double STDCALL CalcLookForStrike(double K)
{
    double temp;
    
    CLookBackOption* lbOption = new CLookBackOption(5,0.25,2,0.5,1, (int) K);
      
    lbOption->GenPDAG();

    lbOption->Calc_European_Option();

    temp = lbOption->GetFinalOptionValue();

    delete lbOption;

    return temp;

}